New to Kendo UI for AngularStart a free 30-day trial

MarkerType

Updated over 6 months ago

Specifies the marker type.

Note that "rect" is an alias for "square".

The possible values are:

  • "square"—Creates a square marker.
  • "circle"—Creates a circle marker.
  • "triangle"—Creates a triangle marker.
  • "cross"—Creates a cross marker.
  • "rect"—Creates a rectangle marker.
  • "roundedRect"—Creates a rounded rectangle marker.
ts
import { Component } from '@angular/core';
import { MarkerType } from '@progress/kendo-angular-charts';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 3]">
          <kendo-chart-series-item-markers [type]="markerType">
          </kendo-chart-series-item-markers>
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
class AppComponent {
  public markerType: MarkerType = "cross";
}

type MarkerType = "square" | "circle" | "triangle" | "cross" | "rect" | "roundedRect";

Not finding the help you need?
Contact Support

New to Kendo UI for VueStart a free 30-day trial

Specifies the marker type.

Note that "rect" is an alias for "square".

The possible values are:

  • "square"—Creates a square marker.
  • "circle"—Creates a circle marker.
  • "triangle"—Creates a triangle marker.
  • "cross"—Creates a cross marker.
  • "rect"—Creates a rectangle marker.
  • "roundedRect"—Creates a rounded rectangle marker.

Possible values:

  • "square"
  • "circle"
  • "triangle"
  • "cross"
  • "rect"
  • "roundedRect"
Example:
jsx
<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :markers="markerType" />
   </ChartSeries>
 </Chart>
 </template>
<script>
import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         dataItems: [1, 2, 3],
         markerType: { type: "cross" }
      };
  }
}
</script>
Not finding the help you need?
Contact Support